<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: CK_MECHANISM Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">CK_MECHANISM Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a26092ac89d7f94e33a7d3c9b6abb3d6c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#aaf1084907f5cc09a3e0b85ab022a240d">CK_MECHANISM_TYPE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__MECHANISM.html#a26092ac89d7f94e33a7d3c9b6abb3d6c">mechanism</a></td></tr>
<tr class="separator:a26092ac89d7f94e33a7d3c9b6abb3d6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a672cc8332ea258e4538c1c41cefaaa65"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#ace49359127edfc5665608140005b9a96">CK_VOID_PTR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__MECHANISM.html#a672cc8332ea258e4538c1c41cefaaa65">pParameter</a></td></tr>
<tr class="separator:a672cc8332ea258e4538c1c41cefaaa65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb65c49e615a80e97e35c4444bf4b054"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__MECHANISM.html#afb65c49e615a80e97e35c4444bf4b054">ulParameterLen</a></td></tr>
<tr class="separator:afb65c49e615a80e97e35c4444bf4b054"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l00784">784</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a26092ac89d7f94e33a7d3c9b6abb3d6c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26092ac89d7f94e33a7d3c9b6abb3d6c">&#9670;&nbsp;</a></span>mechanism</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#aaf1084907f5cc09a3e0b85ab022a240d">CK_MECHANISM_TYPE</a> mechanism</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l00785">785</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a672cc8332ea258e4538c1c41cefaaa65"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a672cc8332ea258e4538c1c41cefaaa65">&#9670;&nbsp;</a></span>pParameter</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#ace49359127edfc5665608140005b9a96">CK_VOID_PTR</a> pParameter</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l00786">786</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="afb65c49e615a80e97e35c4444bf4b054"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb65c49e615a80e97e35c4444bf4b054">&#9670;&nbsp;</a></span>ulParameterLen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulParameterLen</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l00790">790</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:35 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
